Get Agent Card
Retrieve the agent card for a Select AI agent team.
The agent card defines the agent’s capabilities and interaction details. You can use the agent card URL directly in an A2A client, if supported, or retrieve it using this API and configure the client with the returned information.
Agent Cards are automatically generated and published by the A2A server based on the metadata of the Select AI agent teams defined in the database. The A2A server constructs the agent card as a JSON document and exposes it through a standard endpoint, .well-known/agent-card.json, for A2A client discovery and interaction.
The following table shows how Select AI Agent values map to agent card fields.
| Agent Card Field | Select AI Agent Mapping |
|---|---|
name |
Maps to the team_name value used in DBMS_CLOUD_AI_AGENT.CREATE_TEAM. |
description |
Maps to description value used in DBMS_CLOUD_AI_AGENT.CREATE_TEAM. If not set, defaults to the team_name value. |
skills[].id |
Maps to the tool ID generated through DBMS_CLOUD_AI_AGENT.CREATE_TOOL. |
skills[].name |
Maps to the tool_name value used in DBMS_CLOUD_AI_AGENT.CREATE_TOOL. |
skills[].description |
Maps to instruction attribute used in DBMS_CLOUD_AI_AGENT.CREATE_TOOL. |
For example, if the team name is REPORT_SUMMARY_AGENT_TEAM and the description is Summarizes uploaded reports and answers follow-up questions, the agent card name is REPORT_SUMMARY_AGENT_TEAM and the agent card description is Summarizes uploaded reports and answers follow-up questions.
If you create a tool with tool_name as SUMMARIZE_REPORT and instruction as Summarize uploaded reports and answer follow-up questions, the agent card skill entry uses the generated tool ID for skills[].id, SUMMARIZE_REPORT for skills[].name, and Summarize uploaded reports and answer follow-up questions for skills[].description.
Clients retrieve the agent card to understand how to call the agent and what capabilities it provides.
-
Send a
GETrequest to the agent card endpoint.Endpoint
GET https://dataaccess.adb.{region-identifier}.oraclecloudapps.com/adb/a2a/v1/databases/{database-ocid}/agents/{agent-team-name}/.well-known/agent-card.json -
Include the required request headers.
Headers
Authorization: Bearer <token> Content-Type: application/json Accept: application/jsonReplace the placeholders with your specific values.
-
region-identifier: Oracle Cloud region identifier. -
token: Bearer token for the database user that has access to the Select AI agent team. -
database-ocid: A2A-enabled Autonomous AI DatabaseOCID. -
agent-team-name: Select AI agent team name from the database.
-
-
Review the returned agent card specification.
Response
Returns the agent card specification as defined by the A2A protocol.
See AgentCard Object Structure for more details.
Example
Use the following example to retrieve an agent card:
curl -X GET 'https://dataaccess.adb.{region-identifier}.oraclecloudapps.com/adb/a2a/v1/databases/{database-ocid}/agents/{agent-team-name}/.well-known/agent-card.json' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer <token>'